import request from '@/utils/request'

// 查询外贸技术方案配置列表
export function list(query) {
    return request({
        url: '/technicalPlanForeign/config/list',
        method: 'get',
        baseURL: "/plan-api",
        params: query
    })
}

// 查询外贸技术方案配置详细
export function getByid(configId) {
    return request({
        url: '/technicalPlanForeign/config/' + configId,
        method: 'get',
        baseURL: "/plan-api",
    })
}

// 新增外贸技术方案配置
export function postData(data) {
    return request({
        url: '/technicalPlanForeign/config',
        method: 'post',
        data: data,
        baseURL: "/plan-api",
    })
}

// 修改外贸技术方案配置
export function putData(data) {
    return request({
        url: '/technicalPlanForeign/config',
        method: 'put',
        data: data,
        baseURL: "/plan-api",
    })
}

// 删除外贸技术方案配置
export function delData(configId) {
    return request({
        url: '/technicalPlanForeign/config/' + configId,
        method: 'delete',
        baseURL: "/plan-api",
    })
}
